LEED Brakes - Front Disc Brake Conversion Kits

Front Disc Brake Conversion Kits

Front Disc Brake Conversion Kits

Enhance the safety, reliability, and performance of your classic car or truck with a front disc brake conversion kit from LEED Brakes. Designed for seamless drum-to-disc brake upgrades, our disc brake kits improve braking power, heat dissipation, and overall control.

Whether you're restoring a classic muscle car, upgrading your daily driver, or improving your hot rod’s braking system, we offer a wide range of disc brake conversion kits tailored for Ford, GM, and Mopar vehicles.

Why Convert Drum Brakes to Disc Brakes?

Many classic cars were originally equipped with drum brakes, which tend to fade under heavy use and require frequent adjustments. Converting to disc brakes provides:

  • Stronger Stopping Power – Improved braking efficiency and shorter stopping distances
  • Reduced Brake Fade – Disc brakes handle heat better, maintaining consistent performance
  • Lower Maintenance – Disc brakes require fewer adjustments and easier servicing compared to drum brakes
  • Modern Safety Upgrades – A must-have for vehicles with high-performance engines or larger wheels

Explore Our Front Disc Brake Conversion Kit Options

We offer multiple front disc kit options to match your vehicle’s setup and driving needs:

  • Spindle Mount Kits – A complete drum-to-disc conversion without a master cylinder or power booster
  • Manual Brake Kits – Includes a manual brake master cylinder for straightforward installation
  • Power Brake Kits – Comes with a power brake booster and master cylinder for enhanced braking performance

Vehicle Compatibility

Our front disc brake conversion kits fit a wide range of classic cars and trucks, including:

  • Chevy C10, Camaro, Chevelle, Nova, and Impala
  • Ford Mustang, Falcon, and Fairlane
  • Dodge Charger, Challenger, and Coronet
  • Plymouth Road Runner, Barracuda, and GTX
  • And many more vintage models!

How to Choose the Right Disc Brake Conversion Kit

Not sure which kit is best for your vehicle? Consider the following:

  • Manual vs. Power Brakes – Manual kits provide a factory feel, while power brake kits offer lighter pedal effort
  • Stock vs. Performance Rotors – Choose MaxGrip XDS drilled and slotted rotors for improved cooling and bite
  • Spindle Type – Some vehicles may require a specific spindle setup for proper fitment
  • Brake Booster Size – Ensure your vehicle has enough clearance for a power booster if choosing a power brake kit

Why Choose LEED Brakes?

  • Direct-Fit Brake Kits – Designed for easy installation with minimal modifications
  • Premium Components – High-quality calipers, rotors, and master cylinders for long-lasting durability
  • Tested for Performance – Ensures consistent braking power under all conditions
  • Expert Support – Need help? Call LEED Brakes at 716-852-2139 or send us a message to find the perfect brake kit for your vehicle

Select Your Drum-to-Disc Conversion Kit Type Below Select Conversion Kit

Select a Sub-Category

View  
Front Disc Brake Conversion Kits - Caliper Kits
Disc Brake Calipers & Caliper Kit Upgrades Replace your current brake caliper or upgrade your classic car to a MaxGrip Lite Aluminum Caliper kit from LEED Brakes! Browse our brake caliper upgrades below.
Front Disc Brake Conversion Kits - Spindle Mount Kits
Front Disc Brake Conversion Kits - Spindle Mount Brake Kits   Spindle Mount Front Disc Brake Kits include everything you need to mount front disc brakes to your vehicle minus the master...More Details »
Front Disc Brake Conversion Kits - Manual Front Kits
Manual Front Disc Brake Conversion Kits LEED Brakes' manual front disc brake conversion kits include everything needed to upgrade your vehicle from drum brakes to disc brakes, featuring a...More Details »
Front Disc Brake Conversion Kits - Power Front Kits
Power Front Disc Brake Conversions LEED Brakes' Power Front Disc Brake Conversion Kits provide a comprehensive solution for upgrading your vehicle's braking system with front disc brakes....More Details »
Front Disc Brake Conversion Kits - All Front Disc Brake Kits
  LEED Brakes offers a variety of Front Disc Brake Upgrade Kit Conversions for your 1964-73 Ford Mustang, Fairlane & Cougar, 1957-68 Ford Full Size Car, 1962-74 GM A, F & X Body...More Details »

Front Disc Brake Conversion Kits Featured Products

Sort
View
 
Items 61-120 of 476
Chevy II , Nova
This part qualifies for $75 Mail In Rebate
Click here for more details.
Description: Upgrade your 1962-1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake...More Details »
Item #: FC1006SMX
Condition: New
Price: $869.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1962-1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake...More Details »
Item #: FC1006-FA1X
Condition: New
Price: $1,179.99

Qty:

Chevy II, Nova
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1962-1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake...More Details »
Item #: FC1006-FA1
Condition: New
Price: $1,039.99

Qty:

Chevy II, Nova
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1962-1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake...More Details »
Item #: BFC1006-FA1X
Condition: New
Price: $1,254.99

Qty:

Chevy II, Nova
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1962-1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This front disc brake conversion...More Details »
Item #: RFC1006-FA1X
Condition: New
Price: $1,254.99

Qty:

Mopar, Dodge, Plymouth, B Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade the safety, reliability, and stopping power of your classic Mopar with LEED Brakes' 1962-72 Mopar B, C & E-Body Factory Power Front Disc Brake Conversion Kit. Designed for vehicles...More Details »
Item #: BFC2002-C05PX
Condition: New
Price: $1,629.99

Qty:

Mopar, Dodge, Plymouth, B Body Disc Brakes
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and braking performance of disc brakes to your classic Mopar with LEED Brakes' 1962-72 Factory Power Front Disc Brake Conversion Kit. Designed for vehicles equipped...More Details »
Item #: FC2002-C05P
Condition: New
Price: $1,399.99

Qty:

Mopar, Dodge, Plymouth, B Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade the safety, reliability, and braking performance of your 1962-72 Mopar with LEED Brakes' Factory Power Front Disc Brake Conversion Kit featuring MaxGrip XDS rotors. Designed for vehicles...More Details »
Item #: FC2002-C05PX
Condition: New
Price: $1,539.99

Qty:

This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964-1966 Ford Mustang from front drum to manual disc brakes with this complete LEED Brakes conversion kit. Featuring black powder-coated factory-style 4-piston calipers, MaxGrip XDS...More Details »
Item #: BFC0001-405X
Condition: New
Price: $1,464.99

Qty:

This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964-1966 Ford Mustang from front drum to manual disc brakes with this complete LEED Brakes conversion kit. Featuring red powder-coated factory-style 4-piston calipers, MaxGrip XDS...More Details »
Item #: RFC0001-405X
Condition: New
Price: $1,464.99

Qty:

This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964-1969 Ford Mustang from front drum to disc brakes with this LEED Brakes conversion kit. Featuring red powder-coated factory-style 4-piston calipers, MaxGrip XDS cross-drilled and...More Details »
Item #: RFC0001SMX
Condition: New
Price: $1,214.99

Qty:

Ford Mustang
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Convert your 1964-1969 Ford Mustang from drum to front disc brakes with this spindle mount 4-piston conversion kit from LEED Brakes featuring MaxGrip XDS cross drilled and slotted rotors. Designed...More Details »
Item #: FC0001SMX
Condition: New
Price: $1,139.99

Qty:

Automatic Transmission
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964-1966 Ford Mustang from front drum to power disc brakes with this complete LEED Brakes conversion kit for factory automatic transmission cars. Featuring black powder-coated...More Details »
Item #: BFC0001-H405AX
Condition: New
Price: $1,684.99

Qty:

Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Now you can add the safety, reliability and performance of power disc brakes to your factory manual transmission 1964-66 Mustang! With our drum to power disc brake conversion kit, you receive...More Details »
Item #: RFC0001-H405MX
Condition: New
Price: $1,714.99

Qty:

Ford Mustang, Manual Transmission
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Now you can add the safety, reliability and performance of power disc brakes to your factory manual transmission 1964-66 Mustang! With our drum to power disc brake conversion kit, you receive...More Details »
Item #: FC0001-H405MX
Condition: New
Price: $1,639.99

Qty:

Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Now you can add the safety, reliability and performance of power disc brakes to your factory manual transmission 1964-66 Mustang! With our drum to power disc brake conversion kit, you receive...More Details »
Item #: BFC0001-H405MX
Condition: New
Price: $1,714.99

Qty:

Automatic Transmission
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964-1966 Ford Mustang from front drum to power disc brakes with this complete LEED Brakes conversion kit for factory automatic transmission cars. Featuring red powder-coated...More Details »
Item #: RFC0001-H405AX
Condition: New
Price: $1,684.99

Qty:

Ford Mustang
Description: Upgrade your worn out Mustang brake calipers on your 1964-67 Mustang with LEED Brakes new calipers, semi-metallic brake pads and brake hoses. Our Ford Mustang calipers are hand assembled with...More Details »
Item #: CC0001
Condition: New
Price: $619.99

Qty:

Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Stop with confidence: Upgrade your classic Ford's brakes with the MaxGrip Lite 4 Piston Aluminum Caliper - Power Front Disc Brake Conversion Kit for factory power drum brake cars....More Details »
Item #: BFC0026-P307X
Condition: New
Price: $2,149.99

Qty:

Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your vehicle with our Power drum to Power disc brake conversion kit with MaxGrip XDS Rotors and Black Powder Coated Calipers. In this...More Details »
Item #: BFC0025-P307X
Condition: New
Price: $1,839.99

Qty:

Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your vehicle with our Power drum to Power disc brake conversion with MaxGrip XDS Rotors. In this Ford brake conversion kit you receive...More Details »
Item #: FC0025-P307X
Condition: New
Price: $1,764.99

Qty:

Ford Mustang, Automatic Transmission
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Convert your 1964.5-1966 Ford Mustang automatic transmission car from drum to power front disc brakes with this 4-piston conversion kit from LEED Brakes featuring MaxGrip XDS cross drilled and...More Details »
Item #: FC0001-H405AX
Condition: New
Price: $1,609.99

Qty:

Ford Mustang, Automatic Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add performance disc brakes to your vehicle with this drum-to-power disc brake conversion. This Ford Mustang front disc brake conversion kit includes everything you need to mount USA-made MaxGrip...More Details »
Item #: FC0005-H405AX
Condition: New
Price: $1,924.99

Qty:

Ford Mustang, Automatic Transmission
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Convert your 1965-1966 Ford Mustang to power front disc brakes with this complete conversion kit from LEED Brakes featuring factory style 4-piston calipers and a pre-bent brake line kit. Designed...More Details »
Item #: FC0001-H405ALK
Condition: New
Price: $1,689.99

Qty:

This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1965-1972 Mopar A-Body from front drum to disc brakes with this LEED Brakes conversion kit. Designed for Dodge Dart and select Plymouth Barracuda, Duster, Scamp and Valiant...More Details »
Item #: RFC2001SMX
Condition: New
Price: $1,382.99

Qty:

This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1965-1972 Mopar A-Body from front drum to manual disc brakes with this complete LEED Brakes conversion kit. Designed for Dodge Dart and select Plymouth Barracuda, Duster, Scamp and...More Details »
Item #: BFC2001-C05X
Condition: New
Price: $1,751.99

Qty:

This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1965-1972 Mopar A-Body from front drum to manual disc brakes with this complete LEED Brakes conversion kit. Designed for Dodge Dart and select Plymouth Barracuda, Duster, Scamp and...More Details »
Item #: RFC2001-C05X
Condition: New
Price: $1,751.99

Qty:

This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1965-1972 Mopar A-Body from front drum to power disc brakes with this complete LEED Brakes conversion kit. Designed for Dodge Dart and select Plymouth Barracuda, Duster, Scamp and...More Details »
Item #: BFC2001-8405X
Condition: New
Price: $1,904.99

Qty:

This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1965-1972 Mopar A-Body from front drum to power disc brakes with this complete LEED Brakes conversion kit. Designed for Dodge Dart and select Plymouth Barracuda, Duster, Scamp and...More Details »
Item #: RFC2001-8405X
Condition: New
Price: $1,904.99

Qty:

Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade the safety, reliability, and braking performance of your classic Mopar with LEED Brakes' 1965-72 C-Body Factory Power Front Disc Brake Conversion Kit. Designed for vehicles equipped with...More Details »
Item #: FC2003-C05P
Condition: New
Price: $1,379.99

Qty:

Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade the safety, reliability, and braking performance of your classic Mopar with LEED Brakes' 1965-72 C-Body Factory Power Front Disc Brake Conversion Kit featuring MaxGrip XDS rotors. Designed...More Details »
Item #: FC2003-C05PX
Condition: New
Price: $1,519.99

Qty:

Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade the safety, reliability, and braking performance of your classic Mopar with LEED Brakes' 1965-72 C-Body Factory Power Front Disc Brake Conversion Kit. Designed for vehicles equipped with...More Details »
Item #: BFC2003-C05PX
Condition: New
Price: $1,613.99

Qty:

Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade the safety, reliability, and braking performance of your classic Mopar with LEED Brakes' 1965-72 C-Body Factory Power Front Disc Brake Conversion Kit. Designed for vehicles equipped with...More Details »
Item #: RFC2003-C05PX
Condition: New
Price: $1,613.99

Qty:

Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your 1965–1972 Mopar C-Body with the safety, reliability, and stopping performance of a LEED Brakes manual drum-to-power disc brake conversion kit. This front disc brake conversion kit...More Details »
Item #: FC2003-8405
Condition: New
Price: $1,539.99

Qty:

Ford Bronco
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1966-75 Ford Bronco from front drum to disc brakes with this complete LEED Brakes conversion kit. Designed to mount dual-piston disc brakes to the factory drum brake knuckles, this...More Details »
Item #: FC5001SM
Condition: New
Price: $1,129.99

Qty:

Ford Bronco
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1966-75 Ford Bronco from front drum to disc brakes with this complete LEED Brakes conversion kit. Designed to mount dual-piston disc brakes to the factory drum brake knuckles, this...More Details »
Item #: FC5001-405
Condition: New
Price: $1,319.99

Qty:

Ford Mustang, Automatic Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1967-1969 Ford Mustang or Mercury Cougar from front drum to power disc brakes with this complete LEED Brakes conversion kit for automatic transmission cars. Featuring black...More Details »
Item #: BFC0002-3405AX
Condition: New
Price: $1,809.99

Qty:

Ford Mustang, Automatic Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1967-1969 Ford Mustang or Mercury Cougar from front drum to power disc brakes with this complete LEED Brakes conversion kit for automatic transmission cars. Featuring red...More Details »
Item #: RFC0002-3405AX
Condition: New
Price: $1,809.99

Qty:

Ford Mustang, Manual Transmission
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Convert your 1967-1969 Ford Mustang manual transmission car from drum to power front disc brakes with this complete conversion kit from LEED Brakes. This factory style 4 piston front disc brake...More Details »
Item #: FC0002-X405M
Condition: New
Price: $1,599.99

Qty:

Ford Mustang Fairlane Falcon Torino Disc Brake Conversion
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your vehicle with our drum to manual disc brake conversion. In this Mustang front disc brake conversion kit you receive everything you...More Details »
Item #: FC0006-405X
Condition: New
Price: $1,724.99

Qty:

Ford Mustang Fairlane Falcon Torino Disc Brake Conversion
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your 1967-1969 Mustang with this drum to manual disc brake conversion from LEED Brakes. In this Manual Front Disc Brake Conversion kit,...More Details »
Item #: BFC0006-405X
Condition: New
Price: $1,799.99

Qty:

Ford Mustang Fairlane Falcon Torino Disc Brake Conversion
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your 1967-1969 Ford Mustang with this drum to manual disc brake conversion from LEED Brakes. In this Manual Front Disc Brake Conversion...More Details »
Item #: RFC0006-405X
Condition: New
Price: $1,799.99

Qty:

Ford Mustang, Automatic Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Convert your 1967-1969 Ford Mustang automatic transmission vehicle from drum to power front disc brakes with this 4-piston conversion kit from LEED Brakes featuring MaxGrip XDS cross drilled and...More Details »
Item #: FC0002-3405AX
Condition: New
Price: $1,734.99

Qty:

Ford Mustang Fairlane Falcon Torino Disc Brake Conversion
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Convert your 1967-1969 Ford Mustang from drum to manual front disc brakes with this 4-piston conversion kit from LEED Brakes featuring MaxGrip XDS cross drilled and slotted rotors. Designed to...More Details »
Item #: FC0002-405X
Condition: New
Price: $1,429.99

Qty:

This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your 1967-1969 Ford Mustang from front drum to manual disc brakes with this complete LEED Brakes conversion kit. Featuring black powder-coated factory-style 4-piston calipers, MaxGrip XDS...More Details »
Item #: BFC0002-405X
Condition: New
Price: $1,504.99

Qty:

This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your 1967-1969 Ford Mustang from front drum to manual disc brakes with this complete LEED Brakes conversion kit. Featuring red powder-coated factory-style 4-piston calipers, MaxGrip XDS...More Details »
Item #: RFC0002-405X
Condition: New
Price: $1,504.99

Qty:

Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Convert your 1967-1969 Ford Mustang or Mercury Cougar with manual transmission from drum to power front disc brakes using this 4-piston conversion kit from LEED Brakes featuring MaxGrip XDS cross...More Details »
Item #: FC0002-X405MX
Condition: New
Price: $1,739.99

Qty:

Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1967-1969 Ford Mustang from front drum to power disc brakes with this complete LEED Brakes conversion kit for manual transmission cars. Featuring black powder-coated factory-style...More Details »
Item #: BFC0002-X405MX
Condition: New
Price: $1,814.99

Qty:

Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1967-1969 Ford Mustang from front drum to power disc brakes with this complete LEED Brakes conversion kit for manual transmission cars. Featuring red powder-coated factory-style...More Details »
Item #: RFC0002-X405MX
Condition: New
Price: $1,814.99

Qty:

Ford Mustang, Automatic Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your vehicle with our drum to power disc brake conversion kit. In this Ford Mustang front disc brake conversion kit you receive...More Details »
Item #: FC0006-3405AX
Condition: New
Price: $2,024.99

Qty:

Ford Mustang, Automatic Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Convert your 1970 Ford Mustang automatic transmission vehicle from drum to power front disc brakes with this 4-piston conversion kit from LEED Brakes featuring MaxGrip XDS cross drilled and slotted...More Details »
Item #: FC0003-3405AX
Condition: New
Price: $1,739.99

Qty:

Ford Mustang
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with this manual drum-to-disc brake conversion kit for the 1970 Ford Mustang. This kit includes everything needed to...More Details »
Item #: FC0003-405
Condition: New
Price: $1,294.99

Qty:

Ford Mustang
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Convert your 1970 Ford Mustang from drum to manual front disc brakes with this 4-piston conversion kit from LEED Brakes featuring MaxGrip XDS cross drilled and slotted rotors. Designed to mount to...More Details »
Item #: FC0003-405X
Condition: New
Price: $1,434.99

Qty:

Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Convert your 1970 Ford Mustang manual transmission car from drum to power 4 piston front disc brakes with this complete conversion kit from LEED Brakes. Designed to mount to original 1970 drum...More Details »
Item #: FC0003-X405M
Condition: New
Price: $1,599.97

Qty:

Ford Mustang, Automatic Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1970 Ford Mustang from front drum to power disc brakes with this complete LEED Brakes conversion kit for automatic transmission cars. Featuring red powder-coated factory-style...More Details »
Item #: RFC0003-3405AX
Condition: New
Price: $1,814.99

Qty:

This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your vehicle with our drum to manual disc brake conversion. In this Ford front disc brake conversion kit you receive everything you...More Details »
Item #: BFC0007-405X
Condition: New
Price: $1,799.99

Qty:

This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your vehicle with our drum to manual disc brake conversion. In this Ford front disc brake conversion kit you receive everything you...More Details »
Item #: RFC0007-405X
Condition: New
Price: $1,799.99

Qty:

This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your vehicle with our drum to manual disc brake conversion. In this Ford front disc brake conversion kit, you receive everything you...More Details »
Item #: FC0007-405X
Condition: New
Price: $1,724.99

Qty:

Ford Mustang
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Convert your 1970-1973 Ford Mustang or Mercury Cougar from drum to front disc brakes with this 4-piston conversion kit from LEED Brakes featuring MaxGrip XDS cross drilled and slotted rotors....More Details »
Item #: FC0002SMX
Condition: New
Price: $1,199.99

Qty:

This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1970-1973 Ford Mustang from front drum to disc brakes with this LEED Brakes conversion kit. Featuring black powder-coated factory-style 4-piston calipers, MaxGrip XDS cross-drilled...More Details »
Item #: BFC0002SMX
Condition: New
Price: $1,274.99

Qty:

Items 61-120 of 476